#include <stdio.h>

/* Compile with: gcc -Wall -g -O0 array_overshoot.c -o array_overshoot */

/* The out-of-bounds array write at array[12] resets the loop counter i
 * which happens to be located in memory right after the array. This 
 * results to an infinite loop 											*/

int main (int argc, char *argv[]) {
	int i;
	char array[12];


/* Uncomment the printf to verify that &array[12] is actually &i  
 * printf("&a[12] = %p, &i = %p\n", &array[12], &i); */

for (i=0; i <= 12; i++) {
    array[i] = 0;
    printf("In loop, i = %d\n", i);
  }

  return(0);
}
