#include <stdio.h>
#define SIZE 12

int main(int argc, char *argv[]) {
	int i;
	char input[SIZE];
	
	/* This is to see how variables and, especially, array
	   elements are stored in memory. Array elements are 
	   stored in consecutive addresses */
	printf("&i = %p\n", &i);
	for (i = 0; i < SIZE; i++) {
		printf("&input[%d] = %p\n", i, &input[i]);
	}
	
	/* A simple array initialization */
	for (i = 0; i<=SIZE; i++) {
		input[i] = 0;
	}
	printf("Done initialization\n");

	/* Printout of array elements */
	for (i = 0; i<=SIZE; i++) {
		printf("%d\n", input[i]);
	}
	
	return(0);
}
