/* Reads two strings and compares them lexicographically. */
#include <stdio.h>
#include <string.h>
#define SIZE 30

int main(int argc, char *argv[]) {
	char dest_str[SIZE], src_str[SIZE];
	int res;
	
	/* Read the input strings */
	printf("Enter string\n");
	
	scanf("%29s", dest_str);
	printf("The dest string is %s\n", dest_str);

	scanf("%29s", src_str);
	printf("The src string is %s\n", src_str);

	/* Compare them lexicographically with strcmp and print the result.
	   The result will be 0 when the strings are the same. This is THE
	   ONLY CORRECT WAY TO COMPARE THE CONTENTS OF TWO STRINGS. The 
	   operator == CAN NOT BE USED TO DO THAT. If the two strings are not
	   equal, strcmp will return a positive or negative number, depending 
	   on which of the two is lexicographically larger. DO NOT MAKE 
	   ASSUMPTIONS ON THE EXACT VALUE RETURNED BY strcmp, as this may be
	   implementation dependent. The only information you can use is its
	   sign */
	res= strcmp(dest_str, src_str);
	
	printf("Res %d\n", res);
	return(0);
}
