
/* Read two strings from input, store them in dest_str and src_str, and 
   concatenate them, using strcat. The result is stored in dest_str.
   We should pay attention to not overrun dest_str array! */ 

#include <stdio.h>
#include <string.h>
#define SIZE 30

int main(int argc, char *argv[]) {
	char dest_str[SIZE], src_str[SIZE];
	
	/* Read input strings */
	printf("Enter string\n");
	
	scanf("%9s", dest_str);
	printf("The dest string is %s\n", dest_str);

	scanf("%9s", src_str);
	printf("The src string is %s\n", src_str);

	/* Concatenate the two strings and store the result to dest_str */
	strcat(dest_str, src_str);
	
	/* Print the new string and its length. The array holding the new 
	   string needs to be large enough to store the number of characters
	   in the first string, plus the number of characters in the second
	   string, plus 1 (for \0)! */
	printf("New dest string is %s with length %d\n", dest_str, strlen(dest_str));
	return(0);
}
